<%inherit file='base.mako'/>

<!-- BEGIN sidebar -->
<div id="sidebar">
<div class="box">
<table class="legend">
<tr><td><img src="img/square.png" alt="square" /></td><td>Base table</td></tr>
<tr><td><img src="img/oval.png" alt="oval" /></td><td>Derived table</td></tr>
<tr><td><span class="certain-box">Blue</span></td><td>Certain</td></tr>
<tr><td><span class="question-box">Green</span></td><td>Uncertain</td></tr>
<tr><td><span class="conf-box2">Orange</span></td><td>Uncertain w/Confidences</td></tr>
<tr><td><b>Attr</b></td><td>Certain attribute</td></tr>
<tr><td><i>Attr*</i></td><td>Uncertain attribute</td></tr>
</table>
</div>
</div>
<!-- END sidebar -->

<!-- BEGIN content -->
<div id="content">
<%include file='query.mako'/>
</div>
<!-- END content -->

<!-- BEGIN big-column -->
<div id="big-column">
<div class="box">
    Click on a table to see its contents.
    If new tables aren't showing, refresh the page.

    <%
    import os
    cmpxpath = os.path.join(config['pylons.cache_dir'], 'graphs', 'graph.%s.cmapx' % session['user'].name)
    cmpx = open(cmpxpath, "r")
    %>
    ${cmpx.read()}

    <div id="big-canvas">
    <img id="image" class="graph" src="graph"
         usemap="#schema" alt="Schema Graph" style="left: 0px; top: 0px;" />
    </div>
</div>
</div>
<!-- END big-column -->
