<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Trio</title>
    <meta http-equiv="Content-Type" content="application/xhtml+xml;charset=utf-8" />
    <meta http-equiv="expires" content="0" />
    ${h.stylesheet_link_tag("/css/global.css")}
    <!--
    ${h.javascript_include_tag(builtins=True)}
    -->

    ${h.javascript_include_tag("/js/domutils.js")}
    ${h.javascript_include_tag("/js/crop.js")}
    ${h.javascript_include_tag("/js/hide.js")}
    ${h.javascript_include_tag("/js/lineage.js")}
    ${h.javascript_include_tag("/js/confidence.js")}
    ${h.javascript_include_tag("/js/submit.js")}
</head>

<body onload="windowLoaded()">

<div id="popup">
<img id="spinner" height="32" width="32" src="img/spinner.gif" /> Executing query...
<a href="javascript:void(0)" onclick="abort_query();">Cancel</a>.
</div>

<div id="container">

<div id="header">
    <h1 title="Trio"><a href="/">Trio</a></h1>
    <h2 title="Trio">A System for Data, Uncertainty, and Lineage </h2>
    <div id="logo">
        <a href="http://infolab.stanford.edu/">
            <img src="${h.url_for("/img/weblogo.jpg")}" alt="InfoLab Logo" />
        </a>
    </div>
</div>

<%
class_index  ='off'
class_schema ='off'
class_samples='off'
class_scripts='off'
class_help   ='off'
if str(request.environ['PATH_INFO']) == '/index' or \
   str(request.environ['PATH_INFO']) == '/':
    class_index='on'
if str(request.environ['PATH_INFO']) == '/schema':
    class_schema='on'
if str(request.environ['PATH_INFO']) == '/samples':
    class_samples='on'
if str(request.environ['PATH_INFO']) == '/scripts':
    class_scripts='on'
if str(request.environ['PATH_INFO']) == '/help':
    class_help='on'
%>

<ul id="nav">
    <li><a href="index"   title="Home"    class="${class_index}"  >Home: ${session['user'].name}</a></li>
    <li><a href="schema"  title="Schema"  class="${class_schema}" >Schema</a></li>
    <li><a href="samples" title="Samples" class="${class_samples}">Samples</a></li>
    <li><a href="scripts" title="Scripts" class="${class_scripts}">Scripts</a></li>
    <li><a href="help"    title="Help"    class="${class_help}"   >Help</a></li>
</ul>

&nbsp; &nbsp;
<a href="logout">Logout </a> &nbsp;
<a href="deleteDB">Logout and Delete User </a>

<div id="nav-bar"></div>

${self.body()}

<div id="footer">
    Copyright &copy; Trio project, Stanford InfoLab
</div>

</div>

</body>
</html>
